org.eclipse.cdt.core.dom.ast

## Interface ILabel

All Superinterfaces:
  IBinding

    public interface ILabel
    extends IBinding

Represents the mapping between goto statements and the label statements the go to.

### Field Summary

Fields
`static ILabel[]` `EMPTY_ARRAY`
`static IBinding[]` `EMPTY_LABEL_ARRAY` Deprecated. use `EMPTY_ARRAY` instead

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`IASTLabelStatement` `getLabelStatement()` Returns the label statement for this label.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Field Detail

#### EMPTY_ARRAY

    static final ILabel[] EMPTY_ARRAY

Since:
  6.0

#### EMPTY_LABEL_ARRAY

    @Deprecated
    static final IBinding[] EMPTY_LABEL_ARRAY

Deprecated. use `EMPTY_ARRAY` instead

Since:
  5.4

### Method Detail

#### getLabelStatement

    IASTLabelStatement getLabelStatement()

Returns the label statement for this label.